%define upstream_name	 Locale-Hebrew
%define upstream_version 1.05

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 19

Summary:	Bidirectional Hebrew support
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Locale-Hebrew-1.04-fix-format-errors.patch

BuildRequires:	perl-devel
BuildRequires:	perl(inc::Module::Install)

%description
This module is based on code from the Unicode Consortium.

The charset on their code was bogus, therefore this module had to work
the real charset from scratch.  There might have some mistakes, though.

One function, "hebrewflip", is exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1
# patching make signature check fail 
rm -f t/0-signature.t

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorarch}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.50.0-19.mga8
+ Revision: 1594854
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.50.0-18.mga8
+ Revision: 1529730
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.50.0-17.mga8
+ Revision: 1433817
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.50.0-16.mga7
+ Revision: 1293367
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.50.0-15.mga7
+ Revision: 1249517
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.50.0-14.mga7
+ Revision: 1165265
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.50.0-13.mga7
+ Revision: 1149847
- Rebuild for perl ABI changes

* Mon Jul 24 2017 neoclust <neoclust> 1.50.0-12.mga7
+ Revision: 1130028
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-11.mga6
+ Revision: 1029233
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.50.0-10.mga6
+ Revision: 957665
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.50.0-9.mga6
+ Revision: 842710
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-8.mga5
+ Revision: 744834
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-7.mga5
+ Revision: 685243
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.50.0-6.mga5
+ Revision: 631378
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-5.mga4
+ Revision: 524412
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.50.0-4.mga4
+ Revision: 430871
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-3.mga3
+ Revision: 369130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 12 2011 sander85 <sander85> 1.50.0-2.mga3
+ Revision: 104761
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 30728
- mageia rebuild
- imported package perl-Locale-Hebrew


* Sat Nov 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.50.0-1mdv2011.0
+ Revision: 597083
- new version

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-3mdv2011.0
+ Revision: 556000
- rebuild for perl 5.12

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-2mdv2010.1
+ Revision: 504943
- tighten spec file

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 419910
- new perl version macro
- fix format errors

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.04-5mdv2009.0
+ Revision: 257642
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.04-4mdv2009.0
+ Revision: 245696
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.04-2mdv2008.1
+ Revision: 152124
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jun 17 2006 Stefan van der Eijk <stefan@.eijk.nu> 1.04-1
- Initial build.

